package com.pcloud.book.group.dto;

import com.fasterxml.jackson.annotation.JsonInclude;

import java.io.Serializable;

/**
 * 社群书群二维码DTO
 * @author PENG
 * @date 2019年4月17日11:31:16
 */
@JsonInclude(value = JsonInclude.Include.NON_NULL)
public class ErpBookGroupDTO implements Serializable {

    private static final long serialVersionUID = 435665846873683212L;

    /**
     * 唯一标识
     */
    private Long id;

    /**
     * 二维码图片
     */
    private String groupQrcodeUrl;

    /**
     * 创建状态
     */
    private String createState;

    public Long getId() {
        return id;
    }

    public void setId(Long id) {
        this.id = id;
    }

    public String getGroupQrcodeUrl() {
        return groupQrcodeUrl;
    }

    public void setGroupQrcodeUrl(String groupQrcodeUrl) {
        this.groupQrcodeUrl = groupQrcodeUrl;
    }

    public String getCreateState() {
        return createState;
    }

    public void setCreateState(String createState) {
        this.createState = createState;
    }

    @Override
    public String toString() {
        return "ErpBookGroupDTO{" +
                "id=" + id +
                ", groupQrcodeUrl='" + groupQrcodeUrl + '\'' +
                ", createState='" + createState + '\'' +
                '}';
    }
}